NL(1)

NAZWA
nl - numeruje wiersze plików

SKŁADNIA
nl [OPCJA]... [PLIK]...

OPIS

Wypisuje każdy z PLIKÓW na standardowe wyjście, wraz z dodanymi numerami wierszy.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-b, --body-numbering=STYL
    używa STYLU do numerowania wierszy treści

-d, --section-delimiter=ZZ
    używa ZZ do rozdzielenia stron logicznych

-f, --footer-numbering=STYL
    używa STYLU do numerowania wierszy stopek

-h, --header-numbering=STYL
    używa STYLU do numerowania wierszy nagłówków

-i, --line-increment=LICZBA
    zwiększa numer każdego wiersza o podaną wartość

-l, --join-blank-lines=LICZBA
    grupuje LICZBĘ pustych wierszy licząc je jako jeden

-n, --number-format=FORMAT
    wybiera FORMAT numerowania wierszy

-p, --no-renumber
    nie zaczyna numeracji wierszy od nowa na początkach każdej sekcji

-s, --number-separator=ŁAŃCUCH
    dodaje ŁAŃCUCH po (ewentualnym) numerze wiersza

-v, --starting-line-number=NUMER
    numer pierwszego wiersza w każdej sekcji

-w, --number-width=LICZBA
    używa LICZBY kolumn na numerację wierszy

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Domyślne opcje to: -bt -d'\:' -fn -hn -i1 -l1 -n'rn' -s<TAB> -v1 -w6

ZZ to dwa znaki rozdzielające używane do utworzenia rozdzieleń stron logicznych; brak drugiego znaku oznacza „:”. Jako rozszerzenie GNU można podać więcej niż dwa znaki, natomiast podanie znaku pustego (-d ”) wyłącza dopasowanie sekcji.

STYL jest jednym z:

a   numerowanie wszystkich wierszy

t   numerowanie jedynie niepustych wierszy

n   brak numerowania wierszy

pBRE
    numeruje jedynie wiersze pasujące do podstawowego wyrażenia regularnego ("BRE")

FORMAT jest jednym z:

ln  wyrównanie do lewej, bez początkowych zer

rn  wyrównanie do prawej, bez początkowych zer

rz  wyrównanie do prawej, z zerami na początku

AUTOR
Napisane przez Scotta Bartrama i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/nl>
lub lokalnie, za pomocą info '(coreutils) nl invocation'

Spakietowane przez Debiana (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.